// Code generated by protoc-gen-go. DO NOT EDIT.
// source: moactld.proto

package moactld

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// dynamic configuration request
type UpdateRequest struct {
	Tags                 []string `protobuf:"bytes,1,rep,name=tags,proto3" json:"tags,omitempty"`
	Capacity             int64    `protobuf:"varint,2,opt,name=capacity,proto3" json:"capacity,omitempty"`
	Latency              int32    `protobuf:"varint,3,opt,name=latency,proto3" json:"latency,omitempty"`
	Loss                 float32  `protobuf:"fixed32,4,opt,name=loss,proto3" json:"loss,omitempty"`
	EnforceLoss          bool     `protobuf:"varint,5,opt,name=enforce_loss,json=enforceLoss,proto3" json:"enforce_loss,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateRequest) Reset()         { *m = UpdateRequest{} }
func (m *UpdateRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateRequest) ProtoMessage()    {}
func (*UpdateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_e8d69597b42ef157, []int{0}
}

func (m *UpdateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateRequest.Unmarshal(m, b)
}
func (m *UpdateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateRequest.Marshal(b, m, deterministic)
}
func (m *UpdateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateRequest.Merge(m, src)
}
func (m *UpdateRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateRequest.Size(m)
}
func (m *UpdateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateRequest proto.InternalMessageInfo

func (m *UpdateRequest) GetTags() []string {
	if m != nil {
		return m.Tags
	}
	return nil
}

func (m *UpdateRequest) GetCapacity() int64 {
	if m != nil {
		return m.Capacity
	}
	return 0
}

func (m *UpdateRequest) GetLatency() int32 {
	if m != nil {
		return m.Latency
	}
	return 0
}

func (m *UpdateRequest) GetLoss() float32 {
	if m != nil {
		return m.Loss
	}
	return 0
}

func (m *UpdateRequest) GetEnforceLoss() bool {
	if m != nil {
		return m.EnforceLoss
	}
	return false
}

// initialization
type InitRequest struct {
	EmulationHost        string   `protobuf:"bytes,1,opt,name=emulation_host,json=emulationHost,proto3" json:"emulation_host,omitempty"`
	EmulationPort        int32    `protobuf:"varint,2,opt,name=emulation_port,json=emulationPort,proto3" json:"emulation_port,omitempty"`
	EmulationId          int32    `protobuf:"varint,3,opt,name=emulation_id,json=emulationId,proto3" json:"emulation_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InitRequest) Reset()         { *m = InitRequest{} }
func (m *InitRequest) String() string { return proto.CompactTextString(m) }
func (*InitRequest) ProtoMessage()    {}
func (*InitRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_e8d69597b42ef157, []int{1}
}

func (m *InitRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InitRequest.Unmarshal(m, b)
}
func (m *InitRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InitRequest.Marshal(b, m, deterministic)
}
func (m *InitRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InitRequest.Merge(m, src)
}
func (m *InitRequest) XXX_Size() int {
	return xxx_messageInfo_InitRequest.Size(m)
}
func (m *InitRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_InitRequest.DiscardUnknown(m)
}

var xxx_messageInfo_InitRequest proto.InternalMessageInfo

func (m *InitRequest) GetEmulationHost() string {
	if m != nil {
		return m.EmulationHost
	}
	return ""
}

func (m *InitRequest) GetEmulationPort() int32 {
	if m != nil {
		return m.EmulationPort
	}
	return 0
}

func (m *InitRequest) GetEmulationId() int32 {
	if m != nil {
		return m.EmulationId
	}
	return 0
}

type ShowRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ShowRequest) Reset()         { *m = ShowRequest{} }
func (m *ShowRequest) String() string { return proto.CompactTextString(m) }
func (*ShowRequest) ProtoMessage()    {}
func (*ShowRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_e8d69597b42ef157, []int{2}
}

func (m *ShowRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ShowRequest.Unmarshal(m, b)
}
func (m *ShowRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ShowRequest.Marshal(b, m, deterministic)
}
func (m *ShowRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ShowRequest.Merge(m, src)
}
func (m *ShowRequest) XXX_Size() int {
	return xxx_messageInfo_ShowRequest.Size(m)
}
func (m *ShowRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ShowRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ShowRequest proto.InternalMessageInfo

type LinkParams struct {
	Capacity             int64    `protobuf:"varint,1,opt,name=capacity,proto3" json:"capacity,omitempty"`
	Latency              int32    `protobuf:"varint,2,opt,name=latency,proto3" json:"latency,omitempty"`
	Loss                 float32  `protobuf:"fixed32,3,opt,name=loss,proto3" json:"loss,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LinkParams) Reset()         { *m = LinkParams{} }
func (m *LinkParams) String() string { return proto.CompactTextString(m) }
func (*LinkParams) ProtoMessage()    {}
func (*LinkParams) Descriptor() ([]byte, []int) {
	return fileDescriptor_e8d69597b42ef157, []int{3}
}

func (m *LinkParams) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LinkParams.Unmarshal(m, b)
}
func (m *LinkParams) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LinkParams.Marshal(b, m, deterministic)
}
func (m *LinkParams) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LinkParams.Merge(m, src)
}
func (m *LinkParams) XXX_Size() int {
	return xxx_messageInfo_LinkParams.Size(m)
}
func (m *LinkParams) XXX_DiscardUnknown() {
	xxx_messageInfo_LinkParams.DiscardUnknown(m)
}

var xxx_messageInfo_LinkParams proto.InternalMessageInfo

func (m *LinkParams) GetCapacity() int64 {
	if m != nil {
		return m.Capacity
	}
	return 0
}

func (m *LinkParams) GetLatency() int32 {
	if m != nil {
		return m.Latency
	}
	return 0
}

func (m *LinkParams) GetLoss() float32 {
	if m != nil {
		return m.Loss
	}
	return 0
}

type LinkInfo struct {
	ExpNodes             []string    `protobuf:"bytes,1,rep,name=exp_nodes,json=expNodes,proto3" json:"exp_nodes,omitempty"`
	Params               *LinkParams `protobuf:"bytes,2,opt,name=params,proto3" json:"params,omitempty"`
	Tags                 []string    `protobuf:"bytes,3,rep,name=tags,proto3" json:"tags,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *LinkInfo) Reset()         { *m = LinkInfo{} }
func (m *LinkInfo) String() string { return proto.CompactTextString(m) }
func (*LinkInfo) ProtoMessage()    {}
func (*LinkInfo) Descriptor() ([]byte, []int) {
	return fileDescriptor_e8d69597b42ef157, []int{4}
}

func (m *LinkInfo) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LinkInfo.Unmarshal(m, b)
}
func (m *LinkInfo) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LinkInfo.Marshal(b, m, deterministic)
}
func (m *LinkInfo) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LinkInfo.Merge(m, src)
}
func (m *LinkInfo) XXX_Size() int {
	return xxx_messageInfo_LinkInfo.Size(m)
}
func (m *LinkInfo) XXX_DiscardUnknown() {
	xxx_messageInfo_LinkInfo.DiscardUnknown(m)
}

var xxx_messageInfo_LinkInfo proto.InternalMessageInfo

func (m *LinkInfo) GetExpNodes() []string {
	if m != nil {
		return m.ExpNodes
	}
	return nil
}

func (m *LinkInfo) GetParams() *LinkParams {
	if m != nil {
		return m.Params
	}
	return nil
}

func (m *LinkInfo) GetTags() []string {
	if m != nil {
		return m.Tags
	}
	return nil
}

type ShowResponse struct {
	Links                []*LinkInfo `protobuf:"bytes,1,rep,name=links,proto3" json:"links,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *ShowResponse) Reset()         { *m = ShowResponse{} }
func (m *ShowResponse) String() string { return proto.CompactTextString(m) }
func (*ShowResponse) ProtoMessage()    {}
func (*ShowResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_e8d69597b42ef157, []int{5}
}

func (m *ShowResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ShowResponse.Unmarshal(m, b)
}
func (m *ShowResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ShowResponse.Marshal(b, m, deterministic)
}
func (m *ShowResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ShowResponse.Merge(m, src)
}
func (m *ShowResponse) XXX_Size() int {
	return xxx_messageInfo_ShowResponse.Size(m)
}
func (m *ShowResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ShowResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ShowResponse proto.InternalMessageInfo

func (m *ShowResponse) GetLinks() []*LinkInfo {
	if m != nil {
		return m.Links
	}
	return nil
}

type MoaControlResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *MoaControlResponse) Reset()         { *m = MoaControlResponse{} }
func (m *MoaControlResponse) String() string { return proto.CompactTextString(m) }
func (*MoaControlResponse) ProtoMessage()    {}
func (*MoaControlResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_e8d69597b42ef157, []int{6}
}

func (m *MoaControlResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_MoaControlResponse.Unmarshal(m, b)
}
func (m *MoaControlResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_MoaControlResponse.Marshal(b, m, deterministic)
}
func (m *MoaControlResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_MoaControlResponse.Merge(m, src)
}
func (m *MoaControlResponse) XXX_Size() int {
	return xxx_messageInfo_MoaControlResponse.Size(m)
}
func (m *MoaControlResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_MoaControlResponse.DiscardUnknown(m)
}

var xxx_messageInfo_MoaControlResponse proto.InternalMessageInfo

func init() {
	proto.RegisterType((*UpdateRequest)(nil), "moactld.UpdateRequest")
	proto.RegisterType((*InitRequest)(nil), "moactld.InitRequest")
	proto.RegisterType((*ShowRequest)(nil), "moactld.ShowRequest")
	proto.RegisterType((*LinkParams)(nil), "moactld.LinkParams")
	proto.RegisterType((*LinkInfo)(nil), "moactld.LinkInfo")
	proto.RegisterType((*ShowResponse)(nil), "moactld.ShowResponse")
	proto.RegisterType((*MoaControlResponse)(nil), "moactld.MoaControlResponse")
}

func init() { proto.RegisterFile("moactld.proto", fileDescriptor_e8d69597b42ef157) }

var fileDescriptor_e8d69597b42ef157 = []byte{
	// 411 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x84, 0x53, 0xc1, 0x6e, 0xd4, 0x30,
	0x10, 0xc5, 0x9b, 0xcd, 0x36, 0x3b, 0x69, 0x90, 0x30, 0x05, 0x45, 0xdb, 0x4b, 0xb0, 0x84, 0x88,
	0x84, 0xd4, 0xc3, 0x22, 0xc4, 0x81, 0x03, 0x07, 0x2e, 0xac, 0x54, 0x50, 0x65, 0x04, 0xd7, 0x95,
	0x49, 0x5c, 0x36, 0x6a, 0xd6, 0x63, 0x62, 0x57, 0xb4, 0x17, 0xbe, 0x81, 0x5f, 0xe2, 0xcf, 0x50,
	0x9c, 0xc4, 0xc9, 0x16, 0x10, 0x37, 0xcf, 0xf3, 0xf8, 0xcd, 0xf3, 0x7b, 0x36, 0x24, 0x7b, 0x14,
	0x85, 0xad, 0xcb, 0x33, 0xdd, 0xa0, 0x45, 0x7a, 0xd4, 0x97, 0xec, 0x27, 0x81, 0xe4, 0x93, 0x2e,
	0x85, 0x95, 0x5c, 0x7e, 0xbb, 0x96, 0xc6, 0x52, 0x0a, 0x73, 0x2b, 0xbe, 0x9a, 0x94, 0x64, 0x41,
	0xbe, 0xe4, 0x6e, 0x4d, 0x57, 0x10, 0x15, 0x42, 0x8b, 0xa2, 0xb2, 0xb7, 0xe9, 0x2c, 0x23, 0x79,
	0xc0, 0x7d, 0x4d, 0x53, 0x38, 0xaa, 0x85, 0x95, 0xaa, 0xb8, 0x4d, 0x83, 0x8c, 0xe4, 0x21, 0x1f,
	0xca, 0x96, 0xa9, 0x46, 0x63, 0xd2, 0x79, 0x46, 0xf2, 0x19, 0x77, 0x6b, 0xfa, 0x04, 0x8e, 0xa5,
	0xba, 0xc4, 0xa6, 0x90, 0x5b, 0xb7, 0x17, 0x66, 0x24, 0x8f, 0x78, 0xdc, 0x63, 0xe7, 0x68, 0x0c,
	0xfb, 0x01, 0xf1, 0x46, 0x55, 0x76, 0xd0, 0xf3, 0x14, 0xee, 0xcb, 0xfd, 0x75, 0x2d, 0x6c, 0x85,
	0x6a, 0xbb, 0x43, 0x63, 0x53, 0x92, 0x91, 0x7c, 0xc9, 0x13, 0x8f, 0xbe, 0xc3, 0xbb, 0x6d, 0x1a,
	0x1b, 0xeb, 0x84, 0x86, 0x93, 0xb6, 0x0b, 0x6c, 0xac, 0x9b, 0xef, 0xdb, 0xaa, 0xb2, 0x97, 0x1c,
	0x7b, 0x6c, 0x53, 0xb2, 0x04, 0xe2, 0x8f, 0x3b, 0xfc, 0xde, 0xcf, 0x67, 0x9f, 0x01, 0xce, 0x2b,
	0x75, 0x75, 0x21, 0x1a, 0xb1, 0x3f, 0x74, 0x82, 0xfc, 0xdb, 0x89, 0xd9, 0xdf, 0x9d, 0x08, 0x46,
	0x27, 0xd8, 0x0e, 0xa2, 0x96, 0x77, 0xa3, 0x2e, 0x91, 0x9e, 0xc2, 0x52, 0xde, 0xe8, 0xad, 0xc2,
	0x52, 0x0e, 0xc6, 0x47, 0xf2, 0x46, 0x7f, 0x68, 0x6b, 0xfa, 0x1c, 0x16, 0xda, 0x0d, 0x77, 0xac,
	0xf1, 0xfa, 0xe1, 0xd9, 0x90, 0xe5, 0xa8, 0x8b, 0xf7, 0x2d, 0x3e, 0xbd, 0x60, 0x4c, 0x8f, 0xbd,
	0x82, 0xe3, 0xee, 0x42, 0x46, 0xa3, 0x32, 0x92, 0x3e, 0x83, 0xb0, 0xae, 0xd4, 0x55, 0x37, 0x29,
	0x5e, 0x3f, 0x38, 0xe0, 0x6b, 0xf5, 0xf0, 0x6e, 0x9f, 0x9d, 0x00, 0x7d, 0x8f, 0xe2, 0x2d, 0x2a,
	0xdb, 0x60, 0x3d, 0x1c, 0x5f, 0xff, 0x22, 0x00, 0x23, 0x4c, 0x5f, 0xc3, 0xbc, 0x8d, 0x8b, 0x9e,
	0x78, 0x9a, 0x49, 0x7a, 0xab, 0x53, 0x8f, 0xfe, 0xc9, 0xc4, 0xee, 0xd1, 0x37, 0xb0, 0xe8, 0x5e,
	0x1f, 0x7d, 0xec, 0x1b, 0x0f, 0x9e, 0xe3, 0xff, 0x08, 0x5e, 0xc2, 0xbc, 0xbd, 0xdb, 0x64, 0xfa,
	0x24, 0xbb, 0xd5, 0xa3, 0x3b, 0xe8, 0x70, 0xec, 0xcb, 0xc2, 0x7d, 0x83, 0x17, 0xbf, 0x03, 0x00,
	0x00, 0xff, 0xff, 0xe7, 0xde, 0xce, 0xdd, 0x17, 0x03, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// MoaControlClient is the client API for MoaControl service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type MoaControlClient interface {
	Init(ctx context.Context, in *InitRequest, opts ...grpc.CallOption) (*MoaControlResponse, error)
	Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*MoaControlResponse, error)
	Show(ctx context.Context, in *ShowRequest, opts ...grpc.CallOption) (*ShowResponse, error)
}

type moaControlClient struct {
	cc *grpc.ClientConn
}

func NewMoaControlClient(cc *grpc.ClientConn) MoaControlClient {
	return &moaControlClient{cc}
}

func (c *moaControlClient) Init(ctx context.Context, in *InitRequest, opts ...grpc.CallOption) (*MoaControlResponse, error) {
	out := new(MoaControlResponse)
	err := c.cc.Invoke(ctx, "/moactld.MoaControl/Init", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *moaControlClient) Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*MoaControlResponse, error) {
	out := new(MoaControlResponse)
	err := c.cc.Invoke(ctx, "/moactld.MoaControl/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *moaControlClient) Show(ctx context.Context, in *ShowRequest, opts ...grpc.CallOption) (*ShowResponse, error) {
	out := new(ShowResponse)
	err := c.cc.Invoke(ctx, "/moactld.MoaControl/Show", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MoaControlServer is the server API for MoaControl service.
type MoaControlServer interface {
	Init(context.Context, *InitRequest) (*MoaControlResponse, error)
	Update(context.Context, *UpdateRequest) (*MoaControlResponse, error)
	Show(context.Context, *ShowRequest) (*ShowResponse, error)
}

// UnimplementedMoaControlServer can be embedded to have forward compatible implementations.
type UnimplementedMoaControlServer struct {
}

func (*UnimplementedMoaControlServer) Init(ctx context.Context, req *InitRequest) (*MoaControlResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Init not implemented")
}
func (*UnimplementedMoaControlServer) Update(ctx context.Context, req *UpdateRequest) (*MoaControlResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (*UnimplementedMoaControlServer) Show(ctx context.Context, req *ShowRequest) (*ShowResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Show not implemented")
}

func RegisterMoaControlServer(s *grpc.Server, srv MoaControlServer) {
	s.RegisterService(&_MoaControl_serviceDesc, srv)
}

func _MoaControl_Init_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaControlServer).Init(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/moactld.MoaControl/Init",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaControlServer).Init(ctx, req.(*InitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MoaControl_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaControlServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/moactld.MoaControl/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaControlServer).Update(ctx, req.(*UpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MoaControl_Show_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ShowRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MoaControlServer).Show(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/moactld.MoaControl/Show",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MoaControlServer).Show(ctx, req.(*ShowRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _MoaControl_serviceDesc = grpc.ServiceDesc{
	ServiceName: "moactld.MoaControl",
	HandlerType: (*MoaControlServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Init",
			Handler:    _MoaControl_Init_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _MoaControl_Update_Handler,
		},
		{
			MethodName: "Show",
			Handler:    _MoaControl_Show_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "moactld.proto",
}
